- Home
- API Enriched
- Authentication
- web
- Create/RE-create SCIM API token.
Create/RE-create SCIM API token.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/scim_token';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"expiration_days":1,"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/scim_token \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "expiration_days": 1, "namespace": "example" }'Request to create/RE-create new SCIM API credential. Note: Only one valid (non-expired) SCIM token could exist for a tenant, and only if SCIM is enabled for the tenant. If a valid SCIM token is already minted, we would revoke the current one and generate a new one.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Value of namespace is always “system”.
Request Bodyrequired
Section titled “Request Bodyrequired”RecreateScimTokenRequest is the request format for generating SCIM API credential.
object
Qty of days of service credential expiration. Default value is 180. Expiration days value can range between 1 and 730.
Value of namespace is always “system”.
Examplegenerated
{ "expiration_days": 1, "namespace": "example"}Responses
Section titled “Responses”A successful response.
CreateResponse is the response format for the credential’s create request.
object
Indicates if the resource is active
Data is the response format based on the API credential type. In case of API_CERTIFICATES, the response is the base64 encoded value of certificate in PKCS12 format. In case of KUBE_CONFIG, the response is the base64 encoded value of the K8s kubeconfig file with contents as requested - cluster,namespace and base64 encoded certificate, key and CA.
Configuration parameter for expiration timestamp
Human-readable name for the resource
Examplegenerated
{ "active": true, "data": "example", "expiration_timestamp": "2026-04-15T12:00:00Z", "name": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example